# GimpUi.Preview.draw_buffer

    @accepts(GimpUi.Preview, [guint8], int)
    @returns(none)
    def draw_buffer(self, buffer, rowstride):
        # Python wrapper for gimp_preview_draw_buffer()

Calls the GimpPreview::draw_buffer method. GimpPreview itself doesn't implement this method so the behavior is determined by the derived class implementing this method.

Since 2.2

self

  a GimpUi.Preview widget

buffer

  a pixel buffer the size of the preview

rowstride

  the buffer's rowstride